package org.astakhova.view;

import org.astakhova.data.*;

/**
 * Factory for a Begin block
 * @author Astakhova Julia A.
 */
public class BeginBlockFactory extends BlockFactory {
	public Block newInstance(IDiagram d, int x, int y) {
		IBeginNode n = d.createBeginNode(x, y);
		return (n == null) ? null : new BeginEndBlock(n);
	}
}
