package org.astakhova.view.listener;

import org.astakhova.data.IBeginNode;
import org.astakhova.data.INode;
import org.astakhova.view.*;

/** Makes a description of mouse listener for "create Begin block" action button
 * @author Astakhova Julia A.
 */
public class NewBeginBlockMouseL extends NewBlockMouseL {
	public NewBeginBlockMouseL() {
		super(new BeginBlockFactory());
	}

	public boolean isPossible() {
		boolean begin = false;
		for (INode n : getForm().getDiagram().getNodes())
			if (n instanceof IBeginNode)
				begin = true;
		return !begin;
	}
}
